Vulnerability   
Search   
    Search 219043 CVE descriptions
and 99761 test descriptions,
access 10,000+ cross references.
Tests   CVE   All  

Test ID:1.3.6.1.4.1.25623.1.1.2.2020.1532
Category:Huawei EulerOS Local Security Checks
Title:Huawei EulerOS: Security Advisory for python-pillow (EulerOS-SA-2020-1532)
Summary:The remote host is missing an update for the Huawei EulerOS 'python-pillow' package(s) announced via the EulerOS-SA-2020-1532 advisory.
Description:Summary:
The remote host is missing an update for the Huawei EulerOS 'python-pillow' package(s) announced via the EulerOS-SA-2020-1532 advisory.

Vulnerability Insight:
Integer overflow in the ImagingResampleHorizontal function in libImaging/Resample.c in Pillow before 3.1.1 allows remote attackers to have unspecified impact via negative values of the new size, which triggers a heap-based buffer overflow.(CVE-2016-4009)

An issue was discovered in urllib2 in Python 2.x through 2.7.17 and urllib in Python 3.x through 3.8.0. CRLF injection is possible if the attacker controls a url parameter, as demonstrated by the first argument to urllib.request.urlopen with \r\n (specifically in the host component of a URL) followed by an HTTP header. This is similar to the CVE-2019-9740 query string issue and the CVE-2019-9947 path string issue. (This is not exploitable when glibc has CVE-2016-10739 fixed.)(CVE-2014-3589)

Python Image Library (PIL) 1.1.7 and earlier and Pillow 2.3 might allow remote attackers to execute arbitrary commands via shell metacharacters in unspecified vectors related to CVE-2014-1932, possibly JpegImagePlugin.py.(CVE-2014-3007)

The documentation XML-RPC server in Python through 2.7.16, 3.x through 3.6.9, and 3.7.x through 3.7.4 has XSS via the server_title field. This occurs in Lib/DocXMLRPCServer.py in Python 2.x, and in Lib/xmlrpc/server.py in Python 3.x. If set_server_title is called with untrusted input, arbitrary JavaScript can be delivered to clients that visit the http URL for this server.(CVE-2014-1933)

Directory traversal vulnerability in the (1) extract and (2) extractall functions in the tarfile module in Python allows user-assisted remote attackers to overwrite arbitrary files via a .. (dot dot) sequence in filenames in a TAR archive, a related issue to CVE-2001-1267.(CVE-2014-1932)

An issue was discovered in Pillow before 6.2.0. When reading specially crafted invalid image files, the library can either allocate very large amounts of memory or take an extremely long period of time to process the image.(CVE-2019-16865)

libImaging/FliDecode.c in Pillow before 6.2.2 has an FLI buffer overflow.(CVE-2020-5313)

libImaging/PcxDecode.c in Pillow before 6.2.2 has a PCX P mode buffer overflow.(CVE-2020-5312)

Affected Software/OS:
'python-pillow' package(s) on Huawei EulerOS Virtualization for ARM 64 3.0.2.0.

Solution:
Please install the updated package(s).

CVSS Score:
10.0

CVSS Vector:
AV:N/AC:L/Au:N/C:C/I:C/A:C

Cross-Ref: Common Vulnerability Exposure (CVE) ID: CVE-2014-1932
BugTraq ID: 65511
http://www.securityfocus.com/bid/65511
https://security.gentoo.org/glsa/201612-52
http://www.openwall.com/lists/oss-security/2014/02/11/1
SuSE Security Announcement: openSUSE-SU-2014:0591 (Google Search)
http://lists.opensuse.org/opensuse-updates/2014-05/msg00002.html
http://www.ubuntu.com/usn/USN-2168-1
Common Vulnerability Exposure (CVE) ID: CVE-2014-1933
BugTraq ID: 65513
http://www.securityfocus.com/bid/65513
http://www.openwall.com/lists/oss-security/2014/02/10/15
Common Vulnerability Exposure (CVE) ID: CVE-2014-3007
http://people.canonical.com/~ubuntu-security/cve/2014/CVE-2014-1932.html
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=737059
Common Vulnerability Exposure (CVE) ID: CVE-2014-3589
Debian Security Information: DSA-3009 (Google Search)
http://www.debian.org/security/2014/dsa-3009
http://secunia.com/advisories/59825
SuSE Security Announcement: openSUSE-SU-2015:0798 (Google Search)
http://lists.opensuse.org/opensuse-updates/2015-04/msg00056.html
Common Vulnerability Exposure (CVE) ID: CVE-2016-4009
BugTraq ID: 86064
http://www.securityfocus.com/bid/86064
Common Vulnerability Exposure (CVE) ID: CVE-2020-5312
Debian Security Information: DSA-4631 (Google Search)
https://www.debian.org/security/2020/dsa-4631
https://lists.fedoraproject.org/archives/list/package-announce@lists.fedoraproject.org/message/3DUMIBUYGJRAVJCTFUWBRLVQKOUTVX5P/
https://lists.fedoraproject.org/archives/list/package-announce@lists.fedoraproject.org/message/2MMU3WT2X64GS5WHDPKKC2WZA7UIIQ3A/
https://github.com/python-pillow/Pillow/commit/93b22b846e0269ee9594ff71a72bec02d2bea8fd
https://pillow.readthedocs.io/en/stable/releasenotes/6.2.2.html
RedHat Security Advisories: RHSA-2020:0566
https://access.redhat.com/errata/RHSA-2020:0566
RedHat Security Advisories: RHSA-2020:0578
https://access.redhat.com/errata/RHSA-2020:0578
RedHat Security Advisories: RHSA-2020:0580
https://access.redhat.com/errata/RHSA-2020:0580
RedHat Security Advisories: RHSA-2020:0681
https://access.redhat.com/errata/RHSA-2020:0681
RedHat Security Advisories: RHSA-2020:0683
https://access.redhat.com/errata/RHSA-2020:0683
RedHat Security Advisories: RHSA-2020:0694
https://access.redhat.com/errata/RHSA-2020:0694
https://usn.ubuntu.com/4272-1/
Common Vulnerability Exposure (CVE) ID: CVE-2020-5313
https://github.com/python-pillow/Pillow/commit/a09acd0decd8a87ccce939d5ff65dab59e7d365b
CopyrightCopyright (C) 2020 Greenbone Networks GmbH

This is only one of 99761 vulnerability tests in our test suite. Find out more about running a complete security audit.

To run a free test of this vulnerability against your system, register below.




© 1998-2022 E-Soft Inc. All rights reserved.